
<%@page import="com.liferay.portal.kernel.servlet.SessionErrors"%>
<%@page import="java.util.List"%>
<%@page import="java.lang.String"%>


<%@ taglib uri="http://java.sun.com/portlet_2_0" prefix="portlet" %>
<%@ taglib uri="http://liferay.com/tld/theme" prefix="liferay-theme" %>
<%@ taglib uri="http://liferay.com/tld/ui" prefix="liferay-ui" %>


<%@page import="javax.portlet.ActionRequest"%>


<%
	boolean errArquivo = false;
	boolean errVazio = false;
	boolean errDataNula = false;
	boolean errHorarioLimite = false;
	String cssErro = "control-group error";
	
	if(request.getAttribute("erroArquivo") != null){
		errArquivo = (Boolean) request.getAttribute("erroArquivo");
	}
	if(request.getAttribute("erroVazio") != null){
		errVazio = (Boolean) request.getAttribute("erroVazio");
	}
	if(request.getAttribute("erroDataNula") != null){
		errDataNula = (Boolean) request.getAttribute("erroDataNula");
	}
	if(request.getAttribute("erroHorarioLimite") != null){
		errHorarioLimite = (Boolean) request.getAttribute("erroHorarioLimite");
	}
%>


<liferay-theme:defineObjects />
<portlet:defineObjects />

<h3><liferay-ui:message key="admin.form.agendamento.titulo"/></h3>
<hr />
<div class="texto-obs"><liferay-ui:message key="admin.form.agendamento.observacao"/></div>

<portlet:resourceURL  var="submitURL">
	<portlet:param name="caderno" value="geraCaderno"/>
</portlet:resourceURL>

<liferay-ui:success key="sucesso" message="Sua solicitao foi completada com sucesso!" />
<liferay-ui:error key="erro" message="Os campos do formulrio no foram preenchidos corretamente. Por favor, verifique e tente novamente." />


<form id="<portlet:namespace />formDO" name="<portlet:namespace />formDO" 	method="POST" enctype="multipart/form-data" action="<%=submitURL%>" >
	
	<div id="campo-situacao" class="campo">
			<label><liferay-ui:message key="admin.form.editar.situacao"/></label>		
			<select class="selectpicker" name="<portlet:namespace/>situacao" id="<portlet:namespace/>situacao" >	  		
			
				    
		        	<option value="3">Validada</option>
		        	<option value="6">Aprovada</option>
		        	<option value="8">Divulgada</option>
		        
		      					      	
		   	</select>
			<liferay-ui:error key="erroTipoMat" message="Uma Situao deve ser selecionada." />
		</div>
	
	
	<div class='campo <%=errDataNula || errHorarioLimite ? cssErro : "" %>' >
		<label><liferay-ui:message key="admin.form.agendamento.data.divulgacao"/></label>
		
		<div class="form-group">
            <div class='input-group date' id='datepickeragendamento'>
            <input class="form-control" name="<portlet:namespace/>dataP" id="<portlet:namespace/>dataP"  onpaste="return false;" ondrop="return false;"/>
                <span class="input-group-addon">
                	<span class="glyphicon glyphicon-calendar"></span>
            	</span>
         	</div>
         </div>
		<liferay-ui:error key="erroDataNula" message="Uma data deve ser selecionada." />
		<liferay-ui:error key="erroHorarioLimite" message="O horrio limite para agendar divulgao para hoje foi ultrapassado (19h49)." />
	</div>
	
	<button type="submit" id="enviarFormDO" name="enviarFormDO" class="btn btn-primary">Gerar Caderno</button>
	<button type="reset" id="limparFormDO" name="limparFormDO" class="btn btn-cancel">Limpar</button>
	<button type="button" id="jobForm" name="jobForm" class="oculto" style="display: none">no aperte</button>
</form>

<portlet:resourceURL var="ocultoJob"><portlet:param name="parameter" value="jobOculto" /></portlet:resourceURL>


<portlet:resourceURL var="testAjaxResourceUrl"></portlet:resourceURL>


<script type="text/javascript">
	var urlAjax = "<%=testAjaxResourceUrl%>";
	var urlOculto = "<%=ocultoJob%>";
</script>